<?php

require_once('code/wfpl/http.php');
require_once('code/wfpl/file.php');
require_once('code/ie_detect.php');

# this file is meant to act as a filter for .css files. it removes all lines
# containing "remove this line for IE 5.5 and 6"

# see also: .htaccess style.css

function css_mangler() {
	$file = $_SERVER['REDIRECT_URL'];

	$file = substr($file, 1);

	# links like style_77.css will return style.css

	# This feature is used as part of a strategy to make sure that the css
	# file is not cached longer than the html. Also I can shorten loading times
	# by allowing caching forever.

	$file = ereg_replace('_[0-9]*[.]css', '.css', $file);

	if(!file_exists($file)) {
		header('HTTP/1.0 404 File Not Found');
		header('Content-Type: text/plain');
		print("File \"$file\" not found.");
		return;
	}

	header('Content-Type: text/css');
	http_cache_forever('private'); # serves different content for old IE versions, so no sharing the cache

	if(ie5or6()) {
		echo(ereg_replace("\n[^\n]*remove this line for IE 5.5 and 6[^\n]*\n", "\n", read_whole_file($file)));
	} else {
		readfile($file);
	}
}

css_mangler();

?>
